mixer
Prev | Other Csound Utilities (CS, CSB64ENC, DNOISE, ENVEXT, EXTRACTOR, MAKECSD, MIXER, SCALE) | Next

## mixer

mixer — Mixes together a number of soundfiles.

## Description

Mixes together a number of soundfiles, starting at different times and with individual channel selection from the input files.

## Syntax

    mixer [OPTIONS ... ] infile [[OPTIONS... ] infile] ...

## Initialization

Flags:

- -A = Generate an AIFF output file.

- -W = Generate an WAV output file.

- -h = Generate an output file with no header.

- -c = Generate 8-bit signed_char sound samples.

- -a = Generate alaw sound samples.

- -u = Generate ulaw sound samples.

- -s = Generate short integer sound samples.

- -l = Generate long (32 bit) integer sound samples.

- -f = Generate floating point samples.

- -F arg = Specifies the gain to be applied to the following input file. If arg is a floating point number that gain is applied uniformly to the input. Alternatively it could be a file name which specifies a breakpoint file for varying the gain for different periods.

- -S integer = Indicate at which sample to start to mix in the next input file.

- -T fpnum = Indicate at which time (in seconds) to start to mix in the next input file.

- -1 = Mix in channel 1 from next sound file.

- -2 = Mix in channel 2 from next sound file.

- -3 = Mix in channel 3 from next sound file.

- -4 = Mix in channel 4 from next sound file.

- -^ intx inty = Mix in channel x from next sound file as channel y in the output.

- -v = Verbose mode.

- -R = Continually rewrite the header while writing soundfile (WAV/AIFF).

- -H integer = Show a "heart-beat" to indicate progress, in style 1, 2 or 3.

- -N = Alert call (usually ringing the bell) when finished.

- -o fname = output file name (default: test.wav)

## Examples

The default values are

        mixer -s -otest -F 1.0 -S 0

For example

        mixer -F 0.96 in1.wav -S 300 -2 in2.aiff -S 300 -^4 1 in3.wav -o out.wav

This creates a new sound file with a constant gain of 0.96 from in1.wav with the second channel of in2.aiff mixed in after 300 samples and channel 4 of in3.wav outpout as channel 1 after 300 samples.

## Credits

Author: John ffitch

1994

Prev | Up | Next
makecsd | Home | scale